=== debian/changelog ===
thinkfan (0.8.1-1) unstable; urgency=low

  * Imported Upstream version 0.8.1
    + Does not write "level X" to sysfs anymore.
      Closes: #684315

 -- Evgeni Golov <evgeni@debian.org>  Mon, 13 Aug 2012 07:09:37 +0200
