=== debian/control ===
Source: thinkfan
Section: misc
Priority: extra
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/thinkfan/
Vcs-Git: git://git.debian.org/users/evgeni/thinkfan.git
Vcs-Browser: http://git.debian.org/?p=users/evgeni/thinkfan.git

Package: thinkfan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and lightweight fan control program
 Some hardware has a kind of broken fan-control and lets the fan run
 faster than really needed. Thinkfan will prevent this by controlling
 the fan on its own (the fan speed for each temperature interval can be
 adjusted in the configuration file).
 .
 Originally designed specifically for IBM/Lenovo Thinkpads,
 it supports any kind of system via the sysfs hwmon interface.
 It is designed to eat as little CPU power as possible.
