=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -D -m0755 thinkfan $(CURDIR)/debian/thinkfan/usr/sbin/thinkfan
	install -D -m0644 examples/thinkfan.conf.thinkpad $(CURDIR)/debian/thinkfan/etc/thinkfan.conf
	install -D -m0755 rcscripts/thinkfan.init $(CURDIR)/debian/thinkfan/etc/init.d/thinkfan
	install -D -m0644 rcscripts/thinkfan.default $(CURDIR)/debian/thinkfan/etc/default/thinkfan
	install -D -m0644 rcscripts/thinkfan.service $(CURDIR)/debian/thinkfan/lib/systemd/system/thinkfan.service

override_dh_installinit:
	dh_installinit --onlyscripts
