=== debian/changelog ===
thinkfan (0.9.2-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2

 -- Evgeni Golov <evgeni@debian.org>  Tue, 29 Apr 2014 07:54:46 +0200

thinkfan (0.9.1-1) experimental; urgency=medium

  [ Evgeni Golov ]
  * Imported Upstream version 0.9.1
    + Uses $MAINPID in the systemd unit. (Closes: #713876)
  * Add B-D on cmake
  * Rework packaging after the switch to cmake.
  * use canonical git urls
  * Standards-Version: 3.9.5
  * patch CMakeFiles.txt to install stuff to expected locations

  [ Michael Stapelberg ]
  * use dh-systemd for proper systemd-related maintscripts (Closes: #713878)
  * document how to use thinkfan with systemd (Closes: #728087)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 27 Apr 2014 00:22:49 +0200
