=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: extra
 Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), cmake
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/thinkfan/
-Vcs-Git: git://git.debian.org/users/evgeni/thinkfan.git
-Vcs-Browser: http://git.debian.org/?p=users/evgeni/thinkfan.git
+Vcs-Git: git://anonscm.debian.org/users/evgeni/thinkfan.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/evgeni/thinkfan.git
 
 Package: thinkfan
 Architecture: any
