=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
 http://sf.net/thinkfan/thinkfan-([\d\._]+)\.tar\.gz
