=== debian/changelog ===
thinkfan (0.9.3-2) unstable; urgency=medium

  * call update-rc.d thinkfan disable on fresh installs (Closes: #758579)
  * migrate old installations to a properly disabled sysv service too
  * drop the old START param from the init script and defaults file
  * update docs on enabling the service under sysvinit
  * load daemon args from /e/d/thinkfan when using systemd too (Closes: #850514)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 17 Mar 2017 15:56:43 +0100

thinkfan (0.9.3-1) unstable; urgency=medium

  * Imported Upstream version 0.9.3
    + Closes: #823710
  * Standards-Version: 3.9.8
  * enable SMART support (Closes: #747143)
  * update Homepage field
  * update d/copyright
  * update d/watch for github
  * fix manpage installation
  * add AppStream support (Closes: #840595)
  * move to collab-maint
  * call dh_systemd_enable --no-enable

 -- Evgeni Golov <evgeni@debian.org>  Fri, 30 Dec 2016 15:52:36 +0100
