=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: extra
 Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), cmake
-Standards-Version: 3.9.5
-Homepage: http://sourceforge.net/projects/thinkfan/
-Vcs-Git: git://anonscm.debian.org/users/evgeni/thinkfan.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/evgeni/thinkfan.git
+Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), cmake, libatasmart-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/vmatare/thinkfan
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/thinkfan.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/thinkfan.git
 
 Package: thinkfan
 Architecture: any
