=== debian/changelog ===
thinkfan (1.2.1-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Jul 2021 14:08:10 -0700

thinkfan (1.2.1-3) unstable; urgency=medium

  * install legacy config manpage (Closes: #982289)
  * document new YAML config and how to convert in NEWS.Debian (Closes: #981699)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 27 Feb 2021 15:03:05 +0100

thinkfan (1.2.1-2) unstable; urgency=medium

  * relicense the appstream metadata as MIT
  * drop old upgrade code for pre-oldstable versions
  * don't install systemd override (Closes: #981242)
  * remove obsolete thinkfan.conf (Closes: #981251)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 02 Feb 2021 21:31:16 +0100

thinkfan (1.2.1-1) unstable; urgency=medium

  * New upstream version (Closes: #961300)
    + Builds with GCC 10 (Closes: #957877)
    + Uses /run by default (Closes: #918899)
    + Includes support for re-init after suspend (Closes: #663619)
    + New config format makes hwmon addressing stable (Closes: #843446)
    + New config example contains "disengaged" line (Closes: #797303)
  * refresh rcscripts-drop-start-check.patch
  * drop cmake-man.patch, applied upstream
  * refresh rcscripts-load-defaults-for-systemd.patch
  * use debhelper-compat 13 and drop dh-systemd dependency (Closes: #958613)
  * add libyaml-cpp-dev to depends
  * update vcs-* fields to salsa
  * use priority: optional
  * Standards-Version: 4.5.1
  * add pkg-config to build-depends
  * add systemd to build-depends
  * update debian/copyright

 -- Evgeni Golov <evgeni@debian.org>  Wed, 27 Jan 2021 21:06:36 +0100
