=== debian/control ===
Source: thinkfan
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libatasmart-dev,
               libyaml-cpp-dev,
               pkg-config,
               systemd
Standards-Version: 4.5.1
Homepage: https://github.com/vmatare/thinkfan
Vcs-Browser: https://salsa.debian.org/debian/thinkfan
Vcs-Git: https://salsa.debian.org/debian/thinkfan.git

Package: thinkfan
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple and lightweight fan control program
 Some hardware has a kind of broken fan-control and lets the fan run
 faster than really needed. Thinkfan will prevent this by controlling
 the fan on its own (the fan speed for each temperature interval can be
 adjusted in the configuration file).
 .
 Originally designed specifically for IBM/Lenovo Thinkpads,
 it supports any kind of system via the sysfs hwmon interface.
 It is designed to eat as little CPU power as possible.
