## thinkfan 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(thinkfan)
 include(GNUInstallDirs)
+
+set(THINKFAN_VERSION 1.3.1)
 
 cmake_minimum_required(VERSION 3.0)
 
@@ -50,7 +52,7 @@
 option(DISABLE_EXCEPTION_CATCHING "Terminate with SIGABRT on all exceptions, causing a core dump on every error" OFF)
 
 
-set(SRC_FILES src/thinkfan.cpp src/config.cpp src/drivers.cpp
+set(SRC_FILES src/thinkfan.cpp src/config.cpp src/fans.cpp src/sensors.cpp
 	src/message.cpp src/parser.cpp src/error.cpp)
 
 if(USE_YAML)
@@ -78,7 +80,7 @@
 if (PID_FILE)
 	target_compile_definitions(thinkfan PRIVATE -DPID_FILE=\"${PID_FILE}\")
 endif()
-target_compile_definitions(thinkfan PRIVATE -DVERSION="1.2")
+target_compile_definitions(thinkfan PRIVATE -DVERSION="${THINKFAN_VERSION}")
 
 # std::condition_variable::wait_for doesn't block if not explicitly linked against libpthread
 # https://stackoverflow.com/questions/41394670/c-condition-variable-wait-for-returns-instantly
@@ -120,11 +122,15 @@
 	target_compile_definitions(thinkfan PRIVATE -DDISABLE_EXCEPTION_CATCHING)
 endif(DISABLE_EXCEPTION_CATCHING)
 
+configure_file(src/thinkfan.1.cmake thinkfan.1)
+configure_file(src/thinkfan.conf.5.cmake thinkfan.conf.5)
+configure_file(src/thinkfan.conf.legacy.5.cmake thinkfan.conf.legacy.5)
 
 install(TARGETS thinkfan DESTINATION "${CMAKE_INSTALL_SBINDIR}")
 install(FILES COPYING README.md examples/thinkfan.yaml DESTINATION "${CMAKE_INSTALL_DOCDIR}")
-install(FILES src/thinkfan.1 DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
-install(FILES src/thinkfan.conf.5 DESTINATION "${CMAKE_INSTALL_MANDIR}/man5")
+install(FILES ${CMAKE_BINARY_DIR}/thinkfan.1 DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
+install(FILES ${CMAKE_BINARY_DIR}/thinkfan.conf.5 DESTINATION "${CMAKE_INSTALL_MANDIR}/man5")
+install(FILES ${CMAKE_BINARY_DIR}/thinkfan.conf.legacy.5 DESTINATION "${CMAKE_INSTALL_MANDIR}/man5")
 
 if(SYSTEMD_FOUND)
 	configure_file(rcscripts/systemd/thinkfan.service.cmake
