=== debian/changelog ===
thinkfan (1.3.1-6) unstable; urgency=medium

  * move aliased files from / to /usr (DEP17) (Closes: #1073731)
  * Update copyright data
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 08 Aug 2024 11:29:32 +0200

thinkfan (1.3.1-5) unstable; urgency=medium

  * The "Greetings from Mini-Debconf Berlin!" release
  * Move package to DEP-14 layout
  * d/control: Remove systemd build-dep (Fixes: #1060540)
  * Unconditionally install sysvinit/openrc/systemd services
  * d/control: fix lintian warning
  * Refresh patches

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 16 May 2024 19:37:01 +0200

thinkfan (1.3.1-4) unstable; urgency=medium

  * Prevent thinkfan and zcfan being installed at the same time,
    as this will cause unpredictable behaviour and possibly hardware damage
    (Closes: #1032310)
  * Fix dep3 headers in two patches
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 03 Mar 2023 13:41:08 +0100

thinkfan (1.3.1-3) unstable; urgency=medium

  * Remove path from md5sum call
  * d/control: Bump Standards-Version (no changes needed)
  * d/rules: Enable hardening build flags
  * Fix section in man page header
  * Add more lintian overrides
  * Fix FTBFS on RISC-V (Closes: #1017847)
  * d/control: We don't need root to build
  * Update d/copyright
  * Patch systemd unit to have Documentation key
  * Add dep3 headers to all patches

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 15 Jan 2023 00:07:35 +0100

thinkfan (1.3.1-2) unstable; urgency=medium

  * Fix sleep path (Closes: #984911)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 14 Jun 2022 00:52:08 +0200

thinkfan (1.3.1-1) unstable; urgency=medium

  * Thanks to Evgeni for maintaining this package in the past!
  * Take over maintainership
  * New upstream release (Closes: #1002746)
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 13 Apr 2022 16:59:53 +0200

thinkfan (1.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't ship an example config in /etc/thinkfan.yaml (Closes: #983727)
  * Don't fail startup by installing broken config (Closes: #981699)
  * Ship example config in /usr/share/doc/thinkfan/examples/

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 28 Sep 2021 18:57:30 +0200
