=== debian/control ===
Source: thinkfan
Section: misc
Priority: optional
Maintainer: Lee Garrett <debian@rocketjump.eu>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libatasmart-dev,
               libyaml-cpp-dev,
               pkgconf,
               dh-sequence-movetousr,
#              ^^^^^
# Remove this dependency after trixie and drop 0003-no-usr-lib-systemd.patch
Rules-Requires-Root: no
Standards-Version: 4.7.0.0
Homepage: https://github.com/vmatare/thinkfan
Vcs-Browser: https://salsa.debian.org/debian/thinkfan
Vcs-Git: https://salsa.debian.org/debian/thinkfan.git

Package: thinkfan
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: zcfan
Description: simple and lightweight fan control program
 Some hardware has a kind of broken fan-control and lets the fan run
 faster than really needed. Thinkfan will prevent this by controlling
 the fan on its own (the fan speed for each temperature interval can be
 adjusted in the configuration file).
 .
 Originally designed specifically for IBM/Lenovo Thinkpads,
 it supports any kind of system via the sysfs hwmon interface.
 It is designed to eat as little CPU power as possible.
