## thinkfan 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,19 @@
-project(thinkfan)
+cmake_minimum_required(VERSION 3.10)
+
+project(thinkfan LANGUAGES CXX)
 include(GNUInstallDirs)
 
-set(THINKFAN_VERSION 1.3.1)
-
-cmake_minimum_required(VERSION 3.0)
+execute_process(
+	COMMAND git describe --tags
+	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+	RESULT_VARIABLE GIT_DESCRIBE_STATUS
+	OUTPUT_VARIABLE THINKFAN_VERSION
+	OUTPUT_STRIP_TRAILING_WHITESPACE
+	ECHO_OUTPUT_VARIABLE
+)
+if(NOT GIT_DESCRIBE_STATUS EQUAL 0)
+	set(THINKFAN_VERSION 2.0.0)
+endif()
 
 # Generate absolute paths or something
 cmake_policy(SET CMP0015 NEW)
@@ -22,6 +32,9 @@
 
 pkg_check_modules(ATASMART "libatasmart")
 
+find_library(LM_SENSORS_LIB NAMES "libsensors.so" "libsensors.so.5")
+find_path(LM_SENSORS_INC NAMES "sensors/sensors.h")
+
 if(SYSTEMD_FOUND)
 	set(PID_FILE "/run/thinkfan.pid")
 else()
@@ -42,6 +55,11 @@
 option(USE_NVML "Get temperatures directly from nVidia GPUs via their proprietary NVML API" ON)
 
 #
+# Defaults to ON.
+#
+option(USE_LM_SENSORS "Get temperatures from LM sensors" ON)
+
+#
 # The shiny new YAML config parser. Depends on yaml-cpp.
 #
 option(USE_YAML "Enable the new YAML-based config format" ON)
@@ -53,11 +71,15 @@
 
 
 set(SRC_FILES src/thinkfan.cpp src/config.cpp src/fans.cpp src/sensors.cpp
+	src/driver.cpp
+	src/hwmon.cpp
+	src/libsensors.cpp
+	src/temperature_state.cpp
 	src/message.cpp src/parser.cpp src/error.cpp)
 
 if(USE_YAML)
 	if(NOT YAML_CPP_FOUND)
-		message(FATAL_ERROR "USE_YAML enabled but yaml-cpp not found. Please install yaml-cpp[-devel]!")
+		message(FATAL_ERROR "USE_YAML enabled but yaml-cpp not found. Please install yaml-cpp-devel (RedHat) or libyaml-cpp-dev (Debian)!")
 	endif()
 	set(SRC_FILES ${SRC_FILES} src/yamlconfig.cpp)
 endif(USE_YAML)
@@ -71,9 +93,8 @@
 		FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
-add_compile_options(-Wall -std=c++1y)
+add_compile_options(-Wall)
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g3 -DDEBUG")
-
 
 add_executable(thinkfan ${SRC_FILES})
 
@@ -86,6 +107,8 @@
 # https://stackoverflow.com/questions/41394670/c-condition-variable-wait-for-returns-instantly
 # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58929
 target_link_libraries(thinkfan PRIVATE ${CMAKE_THREAD_LIBS_INIT})
+
+set_property(TARGET thinkfan PROPERTY CXX_STANDARD 17)
 
 if(USE_ATASMART)
 	if(NOT ATASMART_FOUND)
@@ -102,11 +125,27 @@
 	target_link_libraries(thinkfan PRIVATE dl)
 endif(USE_NVML)
 
+if(USE_LM_SENSORS)
+	if(LM_SENSORS_LIB MATCHES "LM_SENSORS_LIB-NOTFOUND")
+		message(FATAL_ERROR "USE_LM_SENSORS enabled but libsensors not found. Please install libsensors-dev!")
+	elseif(LM_SENSORS_INC MATCHES "LM_SENSORS_INC-NOTFOUND")
+		message(FATAL_ERROR "USE_LM_SENSORS enabled but sensors/sensors.h not found. Please install libsensors-dev!")
+	else()
+		target_compile_definitions(thinkfan PRIVATE -DUSE_LM_SENSORS)
+		target_include_directories(thinkfan PRIVATE ${LM_SENSORS_INC})
+		target_link_libraries(thinkfan PRIVATE ${LM_SENSORS_LIB})
+	endif()
+endif(USE_LM_SENSORS)
+
 if(USE_YAML)
 	target_compile_definitions(thinkfan PRIVATE -DUSE_YAML)
 	target_include_directories(thinkfan PRIVATE ${YAML_CPP_INCLUDE_DIRS})
 	target_link_libraries(thinkfan PRIVATE ${YAML_CPP_LIBRARIES})
 endif(USE_YAML)
+
+if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "riscv64")
+    target_link_libraries(thinkfan PRIVATE -latomic)
+endif()
 
 if(SYSTEMD_FOUND)
 	target_compile_definitions(thinkfan PRIVATE -DHAVE_SYSTEMD)
