=== debian/changelog ===
thinkfan (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
    - Fix build failure with CMake 4 (Closes: #1113571)
  * Drop 0004-fix-sleep-path.patch (applied upstream)
  * Drop 0005-fix-manpage-section.patch (applied upstream)
  * Drop 0007-systemd-unit.patch (applied upstream)
  * Refresh patches
  * Add libsensors-dev to build dependencies

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 01 Sep 2025 17:54:39 +0200
