=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libatasmart-dev,
+               libsensors-dev,
                libyaml-cpp-dev,
                pkgconf,
                dh-sequence-movetousr,
