=== debian/watch ===
version=4
opts="uversionmangle=s/_/~/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%thinkfan-$1.tar.gz%" \
 https://github.com/vmatare/thinkfan/tags \
 (?:.*?/)?v?(\d.*)\.tar\.gz debian uupdate
